version: "3.3"
services:
  homepage:
    image: ghcr.io/gethomepage/homepage:latest
    container_name: homepage
    environment:
      PUID: 0
      PGID: 0
    ports:
      - 5100:3000
    volumes:
      - /opt/docker/conf/homepage:/app/config # Make sure your local config directory exists
      - /var/run/docker.sock:/var/run/docker.sock:ro # optional, for docker integrations
    restart: unless-stopped
    networks:
      - tnet
    labels:
      - traefik.enable=true
      - traefik.http.routers.homepage.rule=host(`eshhome`) || host(`10.0.50.45`)
        || host (`eshhome.esteban.net`)
      - traefik.http.services.homepage.loadbalancer.server.port=3000
      - traefik.http.routers.homepage.priority=1
    env_file:
      - .env
networks:
  tnet:
    name: traefik-net
    external: true
